<?php
require_once '../vendor/autoload.php'; // Adjust the path as needed
require_once '../includes/db.php'; // Include your DB connection

use Twilio\Rest\Client;

// Twilio credentials
$accountSid = 'AC86b51642b61503f1f2dc2a3680daa2bb';
$authToken = '2cda21d5c63204e670eb0a041ebd3c8c';
$twilioWhatsAppNumber = 'whatsapp:+19516434805'; // Ensure this number is WhatsApp-enabled

// Initialize the Twilio client
$client = new Client($accountSid, $authToken);

// User information from the request
$email = $_POST['email'];
$fullName = $_POST['fullName'];
$password = password_hash($_POST['password'], PASSWORD_DEFAULT); // Hash the password
$phoneNumber = $_POST['phoneNumber']; // Phone number received from user input

// Format phone number for WhatsApp messaging
$whatsAppPhoneNumber = 'whatsapp:' . $phoneNumber;

// Check if the user already exists in the Users table
$userExistsQuery = $connection->prepare("SELECT id FROM Users WHERE Email = ? OR PhoneNumber = ?");
$userExistsQuery->bind_param("ss", $email, $phoneNumber);
$userExistsQuery->execute();
$userExistsQuery->store_result();

if ($userExistsQuery->num_rows > 0) {
    // User already exists in Users table, do not proceed
    echo json_encode(['error' => 'User already exists.']);
    $userExistsQuery->close();
    $connection->close();
    exit;
}

$userExistsQuery->close();

// Delete any existing record with the same email or phone number in UnVerifiedUsers
$deleteExistingUserQuery = $connection->prepare("DELETE FROM UnVerifiedUsers WHERE Email = ? OR PhoneNumber = ?");
$deleteExistingUserQuery->bind_param("ss", $email, $phoneNumber);
$deleteExistingUserQuery->execute();
$deleteExistingUserQuery->close();

// Start transaction for inserting new user record
$connection->begin_transaction();

try {
    // Insert user into UnVerifiedUsers table
    $stmt = $connection->prepare("INSERT INTO UnVerifiedUsers (Email, FullName, Password, PhoneNumber, Status) VALUES (?, ?, ?, ?, 0)");
    $stmt->bind_param("ssss", $email, $fullName, $password, $phoneNumber);
    $stmt->execute();
    $stmt->close();

    // Generate a verification code
    $verificationCode = rand(1000, 9999);

    // Insert or update the verification code for the user
    $verificationCodeQuery = $connection->prepare("INSERT INTO user_verification_codes (phone_number, verification_code) VALUES (?, ?) ON DUPLICATE KEY UPDATE verification_code = VALUES(verification_code)");
    $verificationCodeQuery->bind_param("ss", $phoneNumber, $verificationCode);
    $verificationCodeQuery->execute();
    $verificationCodeQuery->close();

    // Sending message using a template
    $message = $client->messages->create(
        $whatsAppPhoneNumber, // WhatsApp number to send message to
        [
            'from' => $twilioWhatsAppNumber, // Your WhatsApp-enabled Twilio number
            'body' => str_replace('{{1}}', $verificationCode, "*{{1}}* is your verification code. For your security, do not share this code.")
        ]
    );

    // If everything's fine, commit the transaction
    $connection->commit();

    // Success message
    echo json_encode(['message' => 'Verification code sent via WhatsApp', 'messageId' => $message->sid]);
} catch (Exception $e) {
    // An error occurred, rollback the transaction
    $connection->rollback();
    echo json_encode(['error' => 'Failed to register user. ' . $e->getMessage()]);
}

$connection->close();
?>
