<?php
require_once '../includes/db.php'; // Adjust the path as needed

header('Content-Type: application/json');

$categoryId = isset($_GET['FAQCategoriesID']) ? $_GET['FAQCategoriesID'] : null;

if ($categoryId) {
    $query = "SELECT id, OrderIndex, Title, Description, FAQCategoriesID FROM FAQ WHERE FAQCategoriesID = ? ORDER BY OrderIndex ASC";
    $stmt = mysqli_prepare($connection, $query);
    mysqli_stmt_bind_param($stmt, "i", $categoryId);
    mysqli_stmt_execute($stmt);
    $result = mysqli_stmt_get_result($stmt);
} else {
    $query = "SELECT id, OrderIndex, Title, Description, FAQCategoriesID FROM FAQ ORDER BY OrderIndex ASC";
    $result = mysqli_query($connection, $query);
}

$faqs = [];

if (mysqli_num_rows($result) > 0) {
    while($row = mysqli_fetch_assoc($result)) {
        $faqs[] = $row;
    }

    echo json_encode(['error' => false, 'data' => $faqs]);
} else {
    echo json_encode(['error' => true, 'message' => 'No FAQs found']);
}

mysqli_close($connection);
?>
