<?php
include '../includes/db.php';

$verified_user_id = $_GET['verified_user_id'];

date_default_timezone_set('UTC');
$current_time = new DateTime();

$response = array();

// Prepared statement to avoid SQL injection
$stmt = $connection->prepare("SELECT id, created_at, sender_id FROM orders WHERE sender_id = ? ORDER BY created_at DESC LIMIT 5");
$stmt->bind_param("i", $verified_user_id);
$stmt->execute();
$result = $stmt->get_result();

while ($row = $result->fetch_assoc()) {
    $order_time = new DateTime($row['created_at']);
    // Subtract 5 hours from the order time
    $order_time->modify('-5 hours');
    $interval = $current_time->diff($order_time);

    $time_ago = format_interval($interval);
    $row['time_ago'] = $time_ago;
    $response[] = $row;
}


echo json_encode($response);

$stmt->close();
$connection->close();


function format_interval(DateInterval $interval) {
    if ($interval->y > 0) return $interval->format("%y years ago");
    if ($interval->m > 0) return $interval->format("%m months ago");
    if ($interval->d > 0) return $interval->format("%d days ago");
    if ($interval->h > 0) return $interval->format("%h hours ago");
    if ($interval->i > 0) return $interval->format("%i minutes ago");
    return "Just now";
}
?>
