<?php
include '../includes/db.php';

// Check if sender_id is posted to this script
if (isset($_POST['verified_user_id'])) {
    $sender_id = $_POST['verified_user_id'];

    // Prepare the SQL query to select orders matching the sender_id
    $sql = "SELECT id, created_at FROM orders WHERE sender_id = ?";
    $stmt = mysqli_prepare($connection, $sql);

    // Check if the statement was prepared correctly
    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "i", $sender_id);
        mysqli_stmt_execute($stmt);
        $result = mysqli_stmt_get_result($stmt);

        $orders = array();

        // Fetch the results and populate the orders array
        while ($row = mysqli_fetch_assoc($result)) {
            $orders[] = $row;
        }

        // Close the statement
        mysqli_stmt_close($stmt);

        // Return the orders as JSON
        echo json_encode($orders);
    } else {
        // Handle errors, e.g., statement preparation failed
        echo json_encode(array("error" => "Failed to prepare the statement."));
    }
} else {
    // Handle the case where sender_id was not provided
    echo json_encode(array("error" => "No sender_id provided."));
}

?>
