<?php
require_once '../vendor/autoload.php'; // Adjust the path as needed
require_once '../includes/db.php';

use Twilio\Rest\Client;

// Twilio credentials (consider using environment variables for better security)
$accountSid = 'AC86b51642b61503f1f2dc2a3680daa2bb';
$authToken = '2cda21d5c63204e670eb0a041ebd3c8c';
$twilioWhatsAppNumber = 'whatsapp:+19516434805'; // Ensure this number is WhatsApp-enabled

// Initialize the Twilio client
$client = new Client($accountSid, $authToken);

// Static phone number for testing with WhatsApp format
$phoneNumber = 'whatsapp:+96170326183';

// Generate a verification code
$verificationCode = rand(100000, 999999);

// Insert into database
$query = $connection->prepare("INSERT INTO user_verification_codes (phone_number, verification_code) VALUES (?, ?)");
$query->bind_param("ss", $phoneNumber, $verificationCode);

if ($query->execute()) {
    try {
        // Sending message using a template
        $message = $client->messages->create(
            $phoneNumber, // WhatsApp number to send message to
            [
                'from' => $twilioWhatsAppNumber, // Your WhatsApp-enabled Twilio number
                // Replace the template placeholder with the actual verification code
                'body' => str_replace('{{1}}', $verificationCode, "*{{1}}* is your verification code. For your security, do not share this code.")
            ]
        );

        echo json_encode(['message' => 'Verification code sent via WhatsApp', 'messageId' => $message->sid]);
    } catch (Exception $e) {
        echo json_encode(['error' => $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'Failed to save verification code']);
}
?>
