<?php
require_once '../includes/db.php'; // Adjust the path as needed

// Assuming you have access to $phoneNumber from the session or passed along with the request
$phoneNumber = $_POST['phoneNumber'] ?? '';
$newPassword = $_POST['newPassword'] ?? '';

if (empty($phoneNumber) || empty($newPassword)) {
    echo json_encode(['success' => false, 'message' => 'Phone number and new password are required']);
    exit;
}

$newPasswordHash = password_hash($newPassword, PASSWORD_DEFAULT);

// Prepare the SQL statement to update the user's password
$query = $connection->prepare("UPDATE Users SET Password = ? WHERE PhoneNumber = ?");
$query->bind_param("ss", $newPasswordHash, $phoneNumber);
$result = $query->execute();

if ($result) {
    echo json_encode(['success' => true, 'message' => 'Password updated successfully.']);
} else {
    echo json_encode(['success' => false, 'message' => 'Failed to update password.']);
}

$query->close();
$connection->close();
?>
